## org.omg.CORBA
Class EnumDefHolder

    java.lang.Object
      |
      +--org.omg.CORBA.EnumDefHolder

All Implemented Interfaces:
  Streamable

public final class EnumDefHolder
extends java.lang.Object
implements Streamable

Holder class for : EnumDef

Author:
  OpenORB Compiler

Field Summary
`EnumDef` `value` Internal EnumDef value

Constructor Summary
`EnumDefHolder()` Default constructor
`EnumDefHolder(EnumDef initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read EnumDef from a marshalled stream
`TypeCode` `_type()` Return the EnumDef TypeCode
`void` `_write(OutputStream ostream)` Write EnumDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public EnumDef value

  Internal EnumDef value

Constructor Detail

### EnumDefHolder

    public EnumDefHolder()

  Default constructor

### EnumDefHolder

    public EnumDefHolder(EnumDef initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read EnumDef from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write EnumDef into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the EnumDef TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode